if ddebuglog then
   love.filesystem.write ("log", "Started")
end

local dlog = {}

local function logwrite (sign, message)
   if ddebuglog then
      local timestamp = os.date("%F-%R:%S")
      local msgstring = string.format ("(%s) %s %s", sign, timestamp, message)

      love.filesystem.append("log", msgstring)
   end
end

function dlog.error (message)
   logwrite("E", message)
end

function dlog.info (message)
   logwrite("I", message)
end

dlog.info("Log init done.")

return dlog
